This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 40324 - cat /proc/isapnp screws up the ethernet card (ne-compatible)
cat /proc/isapnp screws up the ethernet card (ne-compatible)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-11 17:52 EDT by Johan Karlsson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Karlsson 2001-05-11 17:52:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
My ethernet card was properly detected and setup when I first started
redhat 7.1. Internet worked fine. Then I installed the oss sounddriver and
the network stopped working. I removed the  oss sounddriver and the network
worked again.

After much fiddling I found out that making a /cat/isapnp not only lists my
two isa devices (opt932 soundcard and an ethernet card) but also makes the
network stop working. I believe this might be the same bug that prevents me
from getting sound and network at the same time.


How reproducible:
Always

Steps to Reproduce:
1.cat /proc/isapnp
2.
3.
	

Actual Results:  netscape, telnet etc. doesn't work.


Expected Results:  Well, netscape should have worked

Additional info:
Comment 1 Arjan van de Ven 2001-05-11 18:07:48 EDT
Eeep... this is scary. I'll investigate on my machine with ISA bus on monday.
Comment 2 Johan Karlsson 2001-05-15 10:57:58 EDT
>Eeep... this is scary. I'll investigate on my machine with ISA bus on monday.

Please let me know how it went!

I have noticed that if you start netscape before doing a cat /proc/isapnp you
might be able to use it for a minute or so before the network stops.
Comment 3 Arjan van de Ven 2001-05-15 11:13:10 EDT
I need to go looking for another isapnp card as the card I use for this seems
to have died....
Comment 4 Andreas Hansson 2002-03-14 12:23:00 EST
I have a ne2000 pnp card which is detected fine by pnpdump and isapnp claims to 
configure it but when i cat /proc/isapnp it just displays 0xFF or 0xFFFF for 
everything. When i "ifup eth0" it says there are two cards although I just have 
one card. The card doesn't work properly, and i get errors about interrupt from 
card that isn't active.
Comment 5 Bugzilla owner 2004-09-30 11:38:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.